//
//  UIScrollView+NewHeader.m
//  我的下拉刷新
//
//  Created by ly on 16/9/30.
//  Copyright © 2016年 ZST. All rights reserved.
//

#import "UIScrollView+NewHeader.h"

#import <objc/runtime.h>


@implementation UIScrollView (NewHeader)

- (void)addFreshHeaderViewHandler : (doingSomething) doing {
    if (self.headerView == nil) {
        self.headerView = [Header initWithDoingSomething:doing];
        self.headerView.scrollView = self ;
    }
}
- (void) startAnimation {
    [self.headerView beginAnimation];
}
- (void) endAnimation {
    [self.headerView endAnimation ];
}


- (void)setHeaderView:(Header *)headerView {
    objc_setAssociatedObject(self, @"Header", headerView, OBJC_ASSOCIATION_RETAIN_NONATOMIC) ;
}

- (Header *)headerView {
    return  objc_getAssociatedObject(self, @"Header") ;
}


@end
